Bug 1412698 (CVE-2017-0356) - CVE-2017-0356 ikiwiki: Authentication bypass via repeated parameters
Summary: CVE-2017-0356 ikiwiki: Authentication bypass via repeated parameters
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-0356
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1406696 1412702
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 15:22 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
1 user (show)

Fixed In Version: ikiwiki 3.20170111
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:29 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-12 15:22:22 UTC
Security issues were discovered in the passwordauth plugin's use of CGI::FormBuilder, involving API design issues similar to those that led to CVE-2014-1572. Impact:

* An attacker who can log in to a site with a password can log in
  as a different and potentially more privileged user.
* An attacker who can create a new account can set arbitrary fields
  in the user database for that account.

Sites that enable the CGI script (cgi_wrapper) and do not disable the simple password authentication plugin (passwordauth, enabled by default) are affected.

References:

http://seclists.org/oss-sec/2017/q1/67
https://ikiwiki.info/security/#cve-2017-0356

Comment 1 Andrej Nemec 2017-01-12 15:25:11 UTC
Created ikiwiki tracking bugs for this issue:

Affects: fedora-all [bug 1412702]
Affects: epel-6 [bug 1406696]

Comment 2 Product Security DevOps Team 2019-06-08 03:05:29 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.